/Users/bernard/b20/bsoft/tcltk/tcltk_bhelix.cpp(3)

NAME
/Users/bernard/b20/bsoft/tcltk/tcltk_bhelix.cpp - A shared object to manage micrograph parameter files in TCL/Tk.

SYNOPSIS

#include <tk.h>
#include 'tcltk_bhelix.h'
#include 'mg_helix.h'
#include 'linked_list.h'
#include 'timer.h'
#include 'utilities.h'
#include <sys/stat.h>

  Functions
Tcl_Obj * layerline_count (Bmicrograph *mg)
Tcl_Obj * layerline_ids (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_renumber (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_distance (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_fom (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_select (Bmicrograph *mg, Bimage *p, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_move (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_create (Bmicrograph *mg, Bimage *p, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_delete (Bproject *project, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_delete (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_order (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_generate (Bmicrograph *mg, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_mask (Bmicrograph *mg, Bimage *p, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_plot (Bmicrograph *mg, Bimage *p, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * layerline_bessel_function (double realsizeX, int objc, Tcl_Obj *CONST objv[])
Tcl_Obj * do_layerline (Bproject *project, int objc, Tcl_Obj *CONST objv[])

  Variables
int verbose
Bimage * imglist

Detailed Description

A shared object to manage micrograph parameter files in TCL/Tk.

Author:
    Bernard Heymann

Date:
    Created: 20030813

    Modified: 20130726

Definition in file tcltk_bhelix.cpp.

Function Documentation

  Tcl_Obj* do_layerline (Bproject * project, int objc, Tcl_Obj *CONST objv[])

Definition at line 71 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_bessel_function (double realsizeX, int objc, Tcl_Obj *CONST objv[])

Definition at line 546 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_count (Bmicrograph * mg)

Definition at line 171 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_create (Bmicrograph * mg, Bimage * p, int objc, Tcl_Obj *CONST objv[])

Definition at line 332 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_delete (Bproject * project, int objc, Tcl_Obj *CONST objv[])

Definition at line 363 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_delete (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 428 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_distance (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 232 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_fom (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 252 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_generate (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 484 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_ids (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 186 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_mask (Bmicrograph * mg, Bimage * p, int objc, Tcl_Obj *CONST objv[])

Definition at line 500 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_move (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 306 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_order (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 457 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_plot (Bmicrograph * mg, Bimage * p, int objc, Tcl_Obj *CONST objv[])

Definition at line 517 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_renumber (Bmicrograph * mg, int objc, Tcl_Obj *CONST objv[])

Definition at line 206 of file tcltk_bhelix.cpp.

  Tcl_Obj * layerline_select (Bmicrograph * mg, Bimage * p, int objc, Tcl_Obj *CONST objv[])

Definition at line 272 of file tcltk_bhelix.cpp.

Variable Documentation

  Bimage* imglist

Definition at line 30 of file bshow.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.